Bug 179143 - [PATCH] update graphics/libjpeg-turbo: update to 1.3.0
[PATCH] update graphics/libjpeg-turbo: update to 1.3.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Pawel Pekala
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 14:10 UTC by bytestore
Modified: 2013-06-02 20:40 UTC (History)
0 users

See Also:


Attachments
file.diff (669 bytes, patch)
2013-05-31 14:10 UTC, bytestore
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bytestore 2013-05-31 14:10:00 UTC

Fix: Patch attached with submission follows:
Comment 1 Pawel Pekala freebsd_committer 2013-06-02 17:46:55 UTC
State Changed
From-To: open->feedback

Attached patch seems to be missing distinfo part to update distribution 
file checksums to current version. Also this port uses old options 
infrastracture, can you update it to our new port options framework with 
this update please?
Comment 2 bytestore 2013-06-02 19:45:08 UTC
diff -ruN libjpeg-turbo.old/Makefile libjpeg-turbo/Makefile
--- libjpeg-turbo.old/Makefile	2012-11-17 09:58:13.000000000 +0400
+++ libjpeg-turbo/Makefile	2013-06-02 22:32:47.000000000 +0400
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	libjpeg-turbo
-# Date created:				2010-04-09
-# Whom:					Denis Podolskiy <bytestore@yandex.ru>
-#
-# $FreeBSD: ports/graphics/libjpeg-turbo/Makefile,v 1.25 2012/11/17 05:58:13 svnexp Exp $
-#
+# Created by: Denis Podolskiy <bytestore@yandex.ru>
+# $FreeBSD$
 
 PORTNAME=	libjpeg-turbo
-PORTVERSION=	1.2.1
+PORTVERSION=	1.3.0
 CATEGORIES=	graphics
 MASTER_SITES=	SF/${PORTNAME}/${PORTVERSION}
 
@@ -32,23 +28,16 @@
 # chase graphics/jpeg
 SOVERSION=	11
 
-OPTIONS+=	PIC "Static library with PIC (required for VirtualGL)" off
+OPTIONS_DEFINE= PIC
+PIC_DESC=	Static library with PIC (required for VirtualGL)
 
 .include <bsd.port.options.mk>
 
-.if defined(WITH_PIC)
+.if ! ${PORT_OPTIONS:MPIC}
 CONFIGURE_ARGS+=--with-pic
 .endif
 
 post-patch:
-.if defined(NOPORTDOCS)
-	${REINPLACE_CMD} -e '/^install-data-am/s,install-dist_docDATA,,' \
-		${WRKSRC}/Makefile.in
-.else
-	${REINPLACE_CMD} -e '/^docdir/s,=.*,= ${DOCSDIR},' \
-		${WRKSRC}/Makefile.in
-.endif
-
 .if defined(NOPORTEXAMPLES)
 	${REINPLACE_CMD} -e '/^install-data-am/s,install-dist_exampleDATA,,' \
 		${WRKSRC}/Makefile.in
diff -ruN libjpeg-turbo.old/distinfo libjpeg-turbo/distinfo
--- libjpeg-turbo.old/distinfo	2012-08-03 11:03:55.000000000 +0400
+++ libjpeg-turbo/distinfo	2013-06-02 22:10:32.000000000 +0400
@@ -1,2 +1,2 @@
-SHA256 (libjpeg-turbo-1.2.1.tar.gz) = cb3323f054a02cedad193bd0ca418d46934447f995d19e678ea64f78e4903770
-SIZE (libjpeg-turbo-1.2.1.tar.gz) = 1755264
+SHA256 (libjpeg-turbo-1.3.0.tar.gz) = 2657008cfc08aadbaca065bd9f8964b8a2c0abd03e73da5b5f09c1216be31234
+SIZE (libjpeg-turbo-1.3.0.tar.gz) = 1361603
diff -ruN libjpeg-turbo.old/pkg-plist libjpeg-turbo/pkg-plist
--- libjpeg-turbo.old/pkg-plist	2012-05-14 01:26:48.000000000 +0400
+++ libjpeg-turbo/pkg-plist	2013-06-02 22:10:18.000000000 +0400
@@ -16,3 +16,4 @@
 lib/libturbojpeg.a
 lib/libturbojpeg.la
 lib/libturbojpeg.so
+lib/libturbojpeg.so.0
\ No newline at end of file
Comment 3 Pawel Pekala freebsd_committer 2013-06-02 20:16:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 4 dfilter freebsd_committer 2013-06-02 20:37:51 UTC
Author: pawel
Date: Sun Jun  2 19:37:44 2013
New Revision: 319723
URL: http://svnweb.freebsd.org/changeset/ports/319723

Log:
  - Update to version 1.3.0
  - Convert to OptionsNG
  
  PR:		ports/179143
  Submitted by:	Denis Podolskiy <bytestore@yandex.ru> (maintainer)

Modified:
  head/graphics/libjpeg-turbo/Makefile   (contents, props changed)
  head/graphics/libjpeg-turbo/distinfo   (contents, props changed)
  head/graphics/libjpeg-turbo/pkg-plist   (contents, props changed)

Modified: head/graphics/libjpeg-turbo/Makefile
==============================================================================
--- head/graphics/libjpeg-turbo/Makefile	Sun Jun  2 19:15:39 2013	(r319722)
+++ head/graphics/libjpeg-turbo/Makefile	Sun Jun  2 19:37:44 2013	(r319723)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	libjpeg-turbo
-# Date created:				2010-04-09
-# Whom:					Denis Podolskiy <bytestore@yandex.ru>
-#
+# Created by: Denis Podolskiy <bytestore@yandex.ru>
 # $FreeBSD$
-#
 
 PORTNAME=	libjpeg-turbo
-PORTVERSION=	1.2.1
+PORTVERSION=	1.3.0
 CATEGORIES=	graphics
 MASTER_SITES=	SF/${PORTNAME}/${PORTVERSION}
 
@@ -32,16 +28,17 @@ PORTEXAMPLES=	*
 # chase graphics/jpeg
 SOVERSION=	11
 
-OPTIONS+=	PIC "Static library with PIC (required for VirtualGL)" off
+OPTIONS_DEFINE=	PIC
+PIC_DESC=	Static library with PIC (required for VirtualGL)
 
 .include <bsd.port.options.mk>
 
-.if defined(WITH_PIC)
+.if ${PORT_OPTIONS:MPIC}
 CONFIGURE_ARGS+=--with-pic
 .endif
 
 post-patch:
-.if defined(NOPORTDOCS)
+.if ! ${PORT_OPTIONS:MDOCS}
 	${REINPLACE_CMD} -e '/^install-data-am/s,install-dist_docDATA,,' \
 		${WRKSRC}/Makefile.in
 .else
@@ -49,7 +46,7 @@ post-patch:
 		${WRKSRC}/Makefile.in
 .endif
 
-.if defined(NOPORTEXAMPLES)
+.if ! ${PORT_OPTIONS:MEXAMPLES}
 	${REINPLACE_CMD} -e '/^install-data-am/s,install-dist_exampleDATA,,' \
 		${WRKSRC}/Makefile.in
 .else

Modified: head/graphics/libjpeg-turbo/distinfo
==============================================================================
--- head/graphics/libjpeg-turbo/distinfo	Sun Jun  2 19:15:39 2013	(r319722)
+++ head/graphics/libjpeg-turbo/distinfo	Sun Jun  2 19:37:44 2013	(r319723)
@@ -1,2 +1,2 @@
-SHA256 (libjpeg-turbo-1.2.1.tar.gz) = cb3323f054a02cedad193bd0ca418d46934447f995d19e678ea64f78e4903770
-SIZE (libjpeg-turbo-1.2.1.tar.gz) = 1755264
+SHA256 (libjpeg-turbo-1.3.0.tar.gz) = 2657008cfc08aadbaca065bd9f8964b8a2c0abd03e73da5b5f09c1216be31234
+SIZE (libjpeg-turbo-1.3.0.tar.gz) = 1361603

Modified: head/graphics/libjpeg-turbo/pkg-plist
==============================================================================
--- head/graphics/libjpeg-turbo/pkg-plist	Sun Jun  2 19:15:39 2013	(r319722)
+++ head/graphics/libjpeg-turbo/pkg-plist	Sun Jun  2 19:37:44 2013	(r319723)
@@ -16,3 +16,4 @@ lib/libjpeg.so.%%SOVERSION%%
 lib/libturbojpeg.a
 lib/libturbojpeg.la
 lib/libturbojpeg.so
+lib/libturbojpeg.so.0
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Pawel Pekala freebsd_committer 2013-06-02 20:38:03 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!